﻿Public Class GlobalApplication
    Inherits System.Web.HttpApplication

    Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
        routes.IgnoreRoute("{resource}.axd/{*pathInfo}")


        routes.MapRoute( _
            "Media", _
            "media/{action}/{id}", _
            New With {.controller = "Media", .action = "Index"} _
        )


        routes.MapRoute( _
            "Index", _
            "{controller}/{action}/{pageIndex}", _
            New With {.controller = "Home", .action = "Index", .pageIndex = "0"} _
        )




    End Sub

    Sub Application_Start()
        RegisterRoutes(RouteTable.Routes)
    End Sub
End Class
