﻿Imports Microsoft.Web.Mvc

Public Class MediaController
    Inherits ControllerBase

    Function Create()
        Return View()
    End Function

    <AcceptVerbs("GET")> _
    Function Edit(ByVal id As Integer)
        Dim mediaToEdit = Repository.GetMedia(id)
        Return View(mediaToEdit)
    End Function

    <AcceptVerbs("POST")> _
    Function Edit(ByVal form As FormCollection)
        Dim id = form("id")
        Dim mediaToEdit = Repository.GetMedia(id)

        Try
            UpdateModel(mediaToEdit, New String() {"Title", "Description"})
            Repository.Update(mediaToEdit)
        Catch
            Return View(mediaToEdit)
        End Try

        Dim pageIndex = form("pageIndex")
        Return RedirectToAction("Index", "Home", New With {.pageIndex = pageIndex})
    End Function



End Class
