﻿Imports System.IO

Public Class Media

    Private _id As Integer
    Public Property Id() As Integer
        Get
            Return _id
        End Get
        Set(ByVal value As Integer)
            _id = value
        End Set
    End Property


    Private _fileName As String
    Public Property FileName() As String
        Get
            Return _fileName
        End Get
        Set(ByVal value As String)
            _fileName = value
        End Set
    End Property

    Private _title As String
    Public Property Title() As String
        Get
            Return _title
        End Get
        Set(ByVal value As String)
            _title = value
        End Set
    End Property


    Private _description As String
    Public Property Description() As String
        Get
            Return _description
        End Get
        Set(ByVal value As String)
            _description = value
        End Set
    End Property

    Private _entrydate As DateTime
    Public Property EntryDate() As DateTime
        Get
            Return _entrydate
        End Get
        Set(ByVal value As DateTime)
            _entrydate = value
        End Set
    End Property

    Public ReadOnly Property MediaName() As String
        Get
            Return String.Format("{0}_{1}", _id, _fileName)
        End Get
    End Property


    Public ReadOnly Property MediaPath() As String
        Get
            Return String.Format("~/{0}/{1}", Globals.UploadPath, Me.MediaName)
        End Get
    End Property

End Class
