﻿<%@ Page Language="VB" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="false" CodeBehind="Register.aspx.vb" Inherits="FamilyVideos.Register" %>

<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Account Creation</h2>
    <p>
        Use the form below to create a new account. 
    </p>
    <p>
        Passwords are required to be a minimum of <%=Html.Encode(ViewData("PasswordLength"))%> characters in length.
    </p>
    <%
        Dim errors As IList(Of String) = TryCast(ViewData("errors"), IList(Of String))
        If errors IsNot Nothing Then
            %>
            <ul class="error">
                <%
                    For Each thisError In errors
                        %><li><%=Html.Encode(thisError)%></li><%
                    Next
                %>
            </ul>
            <%
        End If
    %>
    <form method="post" action="<%= Html.AttributeEncode(Url.Action("Register")) %>">
        <div>
            <table>
                <tr>
                    <td>Username:</td>
                    <td><%= Html.TextBox("username") %></td>
                </tr>
                <tr>
                    <td>Email:</td>
                    <td><%= Html.TextBox("email") %></td>
                </tr>
                <tr>
                    <td>Password:</td>
                    <td><%=Html.Password("password")%></td>
                </tr>
                <tr>
                    <td>Confirm password:</td>
                    <td><%= Html.Password("confirmPassword") %></td>
                </tr>
                <tr>
                    <td></td>
                    <td><input type="submit" value="Register" /></td>
                </tr>
            </table>
        </div>
    </form>
</asp:Content>
