﻿<%@ Page Language="VB" AutoEventWireup="false" CodeBehind="Index.aspx.vb" Inherits="FamilyVideos.Index" %>
<%@ Import Namespace="MvcPaging" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Family Videos Home</title>
    <style type="text/css">
    
    html
    {
        font-family: Verdana;
    }
    
    h1
    {
    	font: bold 14px Verdana;
    }
    
    div.media
    {
    	border-bottom: 1px solid black;
    	padding: 10px;
    }

    .pageNumbers
    {
        display: inline;
        margin: 0px;
        padding: 0px;
    }
    
    .pageNumbers li
    {
        display: inline;
        padding: 4px;
        border: solid 2px blue;
        margin: 3px;
    }
    
    .pageNumbers a
    {
        text-decoration: none;
        color: blue;
    }
    
    .selectedPageNumber
    {
        background-color: blue;
        color: white;
        font-weight: bold;
    }
    
    </style>
</head>
<body>
    <div>

    <br /><br />
    <%=Html.Pager(ViewData.Model, New PagerOptions With {.IndexParameterName = "pageIndex"})%>  
    <br />

    <% For Each m In ViewData.Model%>

    <div class="media">
        <h1><%=Html.Encode(m.Title)%></h1>
        <p>
        <%=Html.Encode(m.Description)%>
        </p>
        
        <% Html.RenderPartial(FamilyVideos.RendererMap.GetRenderer(m.FileName), m)%>        


        <br />
        <%=Html.ActionLink("Edit", "Edit", "Media", New With {.id = m.Id, .pageIndex = ViewData.Model.PageIndex}, Nothing)%>
    </div>
    
    <% Next%>
  
    <br />
    <%=Html.Pager(ViewData.Model, New PagerOptions With {.IndexParameterName = "pageIndex"})%>   

    <br /><br />
    <%=Html.ActionLink("Add New Media", "Create", "Media")%>
   
    </div>
</body>
</html>
