﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="false" CodeBehind="Error.aspx.vb" Inherits="FamilyVideos.Error" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Sorry, an error occurred while processing your request.
    </h2>
    <% If Not ViewContext.HttpContext.IsCustomErrorEnabled Then %>
        <h3>
            Exception details:
        </h3>
        <div style="overflow: auto;">
            <%
                Dim exceptions As Stack(Of Exception) = New Stack(Of Exception)()
                Dim current As Exception = ViewData.Model.Exception
                While current IsNot Nothing
                    exceptions.Push(current)
                    current = current.InnerException
                End While
                
                For Each ex In exceptions
                    %>
                        <div>
                            <b><%= Html.Encode(ex.GetType().FullName)%></b>: <%= Html.Encode(ex.Message)%>
                        </div>
                        <div>
                            <pre style="font-size: medium;"><%= Html.Encode(ex.StackTrace)%></pre>
                        </div>
                    <%
                Next
            %>
        </div>
    <% End If %>
</asp:Content>
